{% include linkrefs.html %}

## Overview 

This site provides documentation, training, and other notes for the Jekyll Documentation theme. There's a lot of information about how to do a variety of things here, and it's not all unique to this theme. But by and large, understanding how to do things in Jekyll depends on how your theme is coded. 

## Survey of features

Some of the more prominent features of this theme include the following:

* Bootstrap framework
* Sidebar with page hierarchy and advanced toc
* PDF generation (with Prince XML utility)
* Notes, tips, and warning information notes
* Tags
* Single sourced outputs
* Emphasis on pages, not posts
* Relative (rather than absolute) link structure

I'm using this theme for my documentation projects, building about 15 different outputs for various products, versions, languages, and audiences from the same set of files. This single sourcing requirement has influenced how I constructed this theme.

For more discussion about the available features, see {{doc_supported_features}}.

## Getting started

To get started, see these three topics:

1. {{doc_getting_started}}
2. {{doc_configuration_settings}}
3. {{doc_customizing_the_theme}}

## PDF Download 

If you would like to download this help file as a PDF, you can do so here. The PDF most of the same content as the online help, except that some elements (such as video or special layouts) don't translate the the print medium, so they're excluded.

<a target="_blank" class="noCrossRef" href="doc_{{site.audience}}_pdf.pdf"><button type="button" class="btn btn-default" aria-label="Left Align"><span class="glyphicon glyphicon-download-alt" aria-hidden="true"></span> PDF Download</button></a>

The PDF contains a timestamp in the header indicating when it was last generated. If you download a PDF, keep in mind that it may go out of date quickly. Always compare your PDF timestamp against the online help timestamp (which you can find in the footer).